Package org.lwjgl.opengl

# Class ATISeparateStencil

java.lang.Object
org.lwjgl.opengl.ATISeparateStencil

public final class ATISeparateStencil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_STENCIL_BACK_FAIL_ATI`
`static final int`
`GL_STENCIL_BACK_FUNC_ATI`
`static final int`
`GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI`
`static final int`
`GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI`

## Method Summary

Modifier and Type
Method
Description
`static void`
`glStencilFuncSeparateATI(int frontfunc, int backfunc, int ref, int mask)`
`static void`
`glStencilOpSeparateATI(int face, int sfail, int dpfail, int dppass)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_STENCIL_BACK_FUNC_ATI

public static final int GL_STENCIL_BACK_FUNC_ATI

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_FAIL_ATI

public static final int GL_STENCIL_BACK_FAIL_ATI

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI

public static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL_ATI

See Also:
  - Constant Field Values

### GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI

public static final int GL_STENCIL_BACK_PASS_DEPTH_PASS_ATI

See Also:
  - Constant Field Values

## Method Details

### glStencilOpSeparateATI

public static void glStencilOpSeparateATI(int face, int sfail, int dpfail, int dppass)

### glStencilFuncSeparateATI

public static void glStencilFuncSeparateATI(int frontfunc, int backfunc, int ref, int mask)